------------------------------------------------------------------------------------
--Name:  	shengdan3
--Creator:	由剧情表现脚本编辑器生成
--Created:	2024-11-15
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(168, 36)
local Player_2 = CppScriptMgr:AddSimplePlayer(1050964, 168, 44, "", 0, 0)
Player_2:SetDir(4)
local npc_0 = CppScriptMgr:AddSimplePlayer(24360, 168, 36, "", 0, 0)
npc_0:SetZoomPercent(50)
local effect_1 = CppScriptMgr:AddEffect("frost_cyc", 169, 37, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(490)
Player_2:SetAction(101)
Player_2:Say("As snow and ice melt away, Christmas Tree, shine again!", 2500)
CppScriptMgr:WaitMilSec(1500)
local Effect_3 = CppScriptMgr:AddEffect("CSGX_jin", 168, 36, 33, 1, 1, 1)
Effect_3:Scale(1.5, 1.5, 1.5)
CppScriptMgr:WaitMilSec(1960)
CppScriptMgr:ClearEffect(effect_1)
local effect_0 = CppScriptMgr:AddEffect("_p_15_12flower_hua3", 155, 23, 33, 1, 1, 1)
ChangeNpcZoom(npc_0, 50, 85, 1, 33)
CppScriptMgr:WaitMilSec(1980)